CRMchat APIBeta
Telegram APIContacts

contacts.getBirthdays

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/contacts.getBirthdays

Fetch all users with birthdays that fall within +1/-1 days, relative to the current day: this method should be invoked by clients every 6-8 hours, and if the result is non-empty, it should be used to appropriately update locally cached birthday information in RawUser.birthday. See here » for more info.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Fetch all users with birthdays that fall within +1/-1 days, relative to the current day: this method should be invoked by clients every 6-8 hours, and if the result is non-empty, it should be used to appropriately update locally cached birthday information in RawUser.birthday. See here » for more info.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/contacts.getBirthdays" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "contacts.contactBirthdays",    "contacts": [      {        "_": "contactBirthday",        "contactId": 0,        "birthday": {          "_": "birthday",          "day": 0,          "month": 0,          "year": 0        }      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}